#include "Adafruit_VL53L0X.h"
Adafruit_VL53L0X lox = Adafruit_VL53L0X();
const int coin = 7;
boolean insert = false;
volatile int pulse = 0;
unsigned long balance;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(115200);
  pinMode(9,1);
  if (!lox.begin()) {
    Serial.println(F("Failed to boot VL53L0X"));
    while(1);
  }
  // power 
  Serial.println(F("VL53L0X API Simple Ranging example\n\n")); 
  
  attachInterrupt(digitalPinToInterrupt(7), coinInterrupt, RISING);
  delay(1000);
  Serial.println("insert");
}
void loop() {
  VL53L0X_RangingMeasurementData_t measure;
  lox.rangingTest(&measure, false); // pass in 'true' to get debug data printout!

  // put your main code here, to run repeatedly:
  if (insert) {
    insert = false;
    Serial.println("coin detected!");
    balance+=5;
    Serial.println("Balance : "+(String)balance);
    if(measure.RangeStatus >100){
       digitalWrite(9,1);
    }if(measure.RangeStatus<50){
       digitalWrite(9,0);
    }
    delay(8000);
   digitalWrite(9,0);
   
  }
}
//interrupt
void coinInterrupt() {
  pulse++ ;
  insert = true;
}
